#!/bin/bash -e

# after prefdm is startup collect some more seconds
. /etc/sysconfig/readahead
sleep ${READAHEAD_EXTRA_COLLECT:-10}

# Stop the collector
/bin/systemctl stop readahead-collect.service

[ -f /dev/shm/readahead-collector-started ] || exit 0
rm -f /dev/shm/readahead-collector-started
rm -f /.readahead_collect

# process lists
echo "<6>readahead-collector: sorting" > /dev/kmsg
/etc/cron.daily/readahead.cron 2>/dev/null 1>&2
echo "<6>readahead-collector: finished" > /dev/kmsg
exit 0
